RagTime5ClusterManager::ClusterParser Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
RagTime5ClusterManager::ClusterParser Struct Referenceabstract

virtual class use to parse the cluster data More...

`#include <RagTime5ClusterManager.hxx>`

Inheritance diagram for RagTime5ClusterManager::ClusterParser:

## Public Member Functions
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor More...
virtual | ~ClusterParser ()
| destructor More...
virtual shared_ptr< Cluster > | getCluster ()=0
| return the current cluster More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster More...
virtual void | startZone ()
| start a new zone More...
virtual bool | parseZone (MWAWInputStreamPtr &, long, int, int, libmwaw::DebugStream &)
| parse a zone More...
virtual void | endZone ()
| end of a start zone call More...
virtual bool | parseField (RagTime5StructManager::Field const &, int, libmwaw::DebugStream &)
| parse a the data of a zone, n_dataId:m More...
virtual int | getNewZoneToParse ()
| returns to new zone to parse. More...
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name More...
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header More...
std::string | getClusterName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know) More...

## Public Attributes
RagTime5ClusterManager & | m_parser
| the main parser More...
int | m_type
| the cluster type More...
bool | m_hiLoEndian
| zone endian More...
std::string | m_name
| the cluster name More...
int | m_dataId
| the actual zone id More...
Link | m_link
| the actual link More...

## Private Member Functions
| ClusterParser (ClusterParser const &orig)
ClusterParser & | operator= (ClusterParser const &orig)

## Detailed Description

virtual class use to parse the cluster data

## Constructor & Destructor Documentation

## § ClusterParser() [1/2]

RagTime5ClusterManager::ClusterParser::ClusterParser | ( | RagTime5ClusterManager & | parser,
|  | int | type,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

## § ~ClusterParser()

RagTime5ClusterManager::ClusterParser::~ClusterParser | ( |  | ) |
| virtual

destructor

## § ClusterParser() [2/2]

RagTime5ClusterManager::ClusterParser::ClusterParser | ( | ClusterParser const & | orig | ) |
| explicitprivate

## Member Function Documentation

## § endZone()

virtual void RagTime5ClusterManager::ClusterParser::endZone | ( |  | ) |
| inlinevirtual

end of a start zone call

Reimplemented in RagTime5GraphInternal::GraphicCParser, RagTime5ClusterManagerInternal::StyleCParser, RagTime5SpreadsheetInternal::SpreadsheetCParser, RagTime5GraphInternal::PictCParser, RagTime5ClusterManagerInternal::ScriptCParser, RagTime5ClusterManagerInternal::RootChildCParser, RagTime5TextInternal::TextCParser, RagTime5ClusterManagerInternal::RootCParser, RagTime5ChartInternal::ChartCParser, and RagTime5LayoutInternal::LayoutCParser.

Referenced by RagTime5ClusterManager::readCluster().

## § getCluster()

virtual shared_ptr<Cluster> RagTime5ClusterManager::ClusterParser::getCluster | ( |  | ) |
| pure virtual

return the current cluster

Implemented in RagTime5GraphInternal::GraphicCParser, RagTime5ClusterManagerInternal::UnknownCParser, RagTime5SpreadsheetInternal::SpreadsheetCParser, RagTime5GraphInternal::PictCParser, RagTime5ClusterManagerInternal::StyleCParser, RagTime5ClusterManagerInternal::ScriptCParser, RagTime5ClusterManagerInternal::RootChildCParser, RagTime5TextInternal::TextCParser, RagTime5ClusterManagerInternal::RootCParser, RagTime5ClusterManagerInternal::ColPatCParser, RagTime5ChartInternal::ChartCParser, RagTime5LayoutInternal::LayoutCParser, and RagTime5PipelineInternal::PipelineCParser.

Referenced by RagTime5ClusterManager::readCluster().

## § getClusterName()

std::string RagTime5ClusterManager::ClusterParser::getClusterName | ( | int | id | ) |

returns "data"+id+"A" ( followed by the cluster type and name if know)

## § getNewZoneToParse()

virtual int RagTime5ClusterManager::ClusterParser::getNewZoneToParse | ( |  | ) |
| inlinevirtual

returns to new zone to parse.

-1: means no preference, 0: means first zone, ...

Reimplemented in RagTime5ChartInternal::ChartCParser.

Referenced by RagTime5ClusterManager::readCluster().

## § getZoneName() [1/2]

virtual std::string RagTime5ClusterManager::ClusterParser::getZoneName | ( |  | ) | const
| inlinevirtual

return the debug name corresponding to a zone

Referenced by RagTime5ClusterManager::readCluster().

## § getZoneName() [2/2]

virtual std::string RagTime5ClusterManager::ClusterParser::getZoneName | ( | int | n,
|  | int | m = `-1`
| ) |  | const
| inlinevirtual

return the debug name corresponding to a cluster

## § isANameHeader()

bool RagTime5ClusterManager::ClusterParser::isANameHeader | ( | long | N | ) | const
| inline

return true if N correspond to a file/script name

## § operator=()

ClusterParser& RagTime5ClusterManager::ClusterParser::operator= | ( | ClusterParser const & | orig | ) |
| private

## § parseField()

virtual bool RagTime5ClusterManager::ClusterParser::parseField | ( | RagTime5StructManager::Field const & | ,
|  | int | ,
|  | libmwaw::DebugStream & |
| ) |  |
| inlinevirtual

parse a the data of a zone, n_dataId:m

Reimplemented in RagTime5GraphInternal::GraphicCParser, RagTime5SpreadsheetInternal::SpreadsheetCParser, RagTime5GraphInternal::PictCParser, RagTime5ClusterManagerInternal::StyleCParser, RagTime5ClusterManagerInternal::ScriptCParser, RagTime5ClusterManagerInternal::RootChildCParser, RagTime5TextInternal::TextCParser, RagTime5ClusterManagerInternal::RootCParser, RagTime5ChartInternal::ChartCParser, RagTime5ClusterManagerInternal::ColPatCParser, RagTime5LayoutInternal::LayoutCParser, and RagTime5PipelineInternal::PipelineCParser.

Referenced by RagTime5ClusterManager::readCluster().

## § parseZone()

virtual bool RagTime5ClusterManager::ClusterParser::parseZone | ( | MWAWInputStreamPtr & | ,
|  | long | ,
|  | int | ,
|  | int | ,
|  | libmwaw::DebugStream & |
| ) |  |
| inlinevirtual

parse a zone

Reimplemented in RagTime5GraphInternal::GraphicCParser, RagTime5SpreadsheetInternal::SpreadsheetCParser, RagTime5GraphInternal::PictCParser, RagTime5ClusterManagerInternal::StyleCParser, RagTime5ClusterManagerInternal::ScriptCParser, RagTime5ClusterManagerInternal::RootChildCParser, RagTime5TextInternal::TextCParser, RagTime5ClusterManagerInternal::RootCParser, RagTime5ChartInternal::ChartCParser, RagTime5ClusterManagerInternal::ColPatCParser, RagTime5LayoutInternal::LayoutCParser, and RagTime5PipelineInternal::PipelineCParser.

Referenced by RagTime5ClusterManager::readCluster().

## § readLinkHeader()

bool RagTime5ClusterManager::ClusterParser::readLinkHeader | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | Link & | link,
|  | long(&) | values[4],
|  | std::string & | message
| ) |  |

try to read a link header

## § startZone()

virtual void RagTime5ClusterManager::ClusterParser::startZone | ( |  | ) |
| inlinevirtual

start a new zone

Reimplemented in RagTime5TextInternal::TextCParser, and RagTime5LayoutInternal::LayoutCParser.

Referenced by RagTime5ClusterManager::readCluster().

## Member Data Documentation

## § m_dataId

int RagTime5ClusterManager::ClusterParser::m_dataId

the actual zone id

Referenced by RagTime5ClusterManager::readCluster().

## § m_hiLoEndian

bool RagTime5ClusterManager::ClusterParser::m_hiLoEndian

zone endian

Referenced by RagTime5ClusterManager::readCluster().

## § m_link

Link RagTime5ClusterManager::ClusterParser::m_link

the actual link

Referenced by RagTime5ClusterManager::readCluster().

## § m_name

std::string RagTime5ClusterManager::ClusterParser::m_name

the cluster name

## § m_parser

RagTime5ClusterManager& RagTime5ClusterManager::ClusterParser::m_parser

the main parser

## § m_type

int RagTime5ClusterManager::ClusterParser::m_type

the cluster type

The documentation for this struct was generated from the following files:

- RagTime5ClusterManager.hxx
- RagTime5ClusterManager.cxx